REPO-ADD(8)

NUME
repo-add - instrument de întreținere a bazei de date a pachetelor

SINOPSIS

repo-add [opțiuni] <ruta-la-db> <pachet> [<pachet> ...]

repo-remove [opțiuni] <ruta-la-db> <nume-pachet> [<nume-pachet> ...]

DESCRIERE

repo-add și repo-remove sunt două scripturi care ajută la construirea unei baze de date de pachete pentru pachetele construite cu makepkg(8) și instalate cu pacman(8).

repo-add va actualiza o bază de date de pachete prin citirea unui fișier de pachete construit. În linia de comandă se pot specifica mai multe pachete de adăugat.

Dacă se găsește un fișier („.sig”) corespunzător alături de un fișier pachet, semnătura va fi încorporată automat în baza de date.

repo-remove va actualiza o bază de date de pachete prin eliminarea numelui pachetului specificat în linia de comandă. În linia de comandă se pot specifica mai multe pachete de eliminat.

O bază de date de pachete este un fișier tar, opțional comprimat&. Extensiile valide sunt („.db”) urmată de o extensie de arhivă de tipul („.tar”, „.tar.gz”, „.tar.bz2”, „.tar.xz”, sau „.tar.Z). Nu este necesar ca fișierul să existe, dar toate directoarele părinte trebuie să existe.

OPȚIUNI COMUNE

-q, --quiet
    Forțați acest program să „păstreze liniștea” și să ruleze silențios, cu excepția mesajelor de avertizare și de eroare.

-s, --sign
    Generează un fișier de semnătură PGP utilizând GnuPG. Aceasta va executa «gpg --detach-sign» pe baza de date generată pentru a genera un fișier de semnătură detașat, utilizând agentul GPG dacă acesta este disponibil. Fișierul de semnătură va fi întregul nume de fișier al bazei de date cu o extensie „.sig”.

-k, --key <cheia>
    Specifică o cheie de utilizat la semnarea pachetelor&. Poate fi specificată și cu ajutorul variabilei de mediu GPGKEY. Dacă nu este specificată în niciuna dintre locații, se va utiliza cheia implicită din inelul de chei.

-v, --verify
    Verifică semnătura PGP a bazei de date înainte de a actualiza baza de date. Dacă semnătura nu este validă, se produce o eroare și actualizarea nu se realizează.

--nocolor
    Elimină culoarea din ieșirea repo-add și repo-remove.

OPȚIUNI REPO-ADD

-n, --new
    Adaugă numai pachetele care nu se află deja în baza de date. Se vor afișa avertismente la detectarea pachetelor existente, dar acestea nu vor fi adăugate din nou.

-R, --remove
    Elimină fișierele vechi de pachete de pe disc atunci când se actualizează intrarea lor în baza de date.

--include-sigs
    Include semnăturile PGP ale pachetului în baza de date a depozitului (dacă sunt disponibile)

EXEMPLU

repo-add foo.db.tar.xz <pkg1> [<pkg2> ...]

Acest lucru creează două baze de date separate; o bază de date mai mică „foo.db.tar.xz” folosită de «pacman» și o bază de date mare care conține liste de fișiere de pachete „foo.files.tar.xz” pentru a fi folosită de alte instrumente. În timp ce «pacman» poate utiliza baza de date mare (dacă este redenumită cu extensia db.tar*), în prezent nu există niciun beneficiu suplimentar pentru descărcarea bazei de date mai mari.

CONSULTAȚI ȘI

makepkg(8), pacman(8)

Consultați situl web pacman la https://archlinux.org/pacman/ pentru informații actuale despre «pacman» și instrumentele sale conexe.

ERORI

Hibe? Probabil că glumiți; nu există nicio hibă în acest software&. Dar dacă se întâmplă să fie ceva greșit, depuneți o cerere de rezolvare a problemei cu cât mai multe detalii posibile la: https://gitlab.archlinux.org/pacman/pacman/-/issues.

AUTORI

Responsabilii actuali:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Morgan Adamiec <morganamilo@archlinux.org>

Contribuitori importanți din trecut:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

    • Dave Reisner <dreisner@archlinux.org>

    • Eli Schwartz <eschwartz@archlinux.org>

Pentru contribuitori suplimentari, folosiți «git shortlog -s» în depozitul .git pacman.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.